Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1203659 - Review Request: nodejs-columnify - Render data in text columns, supports in-column text-wrap.
Summary: Review Request: nodejs-columnify - Render data in text columns, supports in-c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1196290
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-03-19 11:12 UTC by Zuzana Svetlikova
Modified: 2015-07-21 08:21 UTC (History)
2 users (show)

Fixed In Version: nodejs-columnify-1.5.1-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-21 08:20:59 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Zuzana Svetlikova 2015-03-19 11:12:26 UTC
Spec URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-columnify/nodejs-columnify.spec
SRPM URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-columnify/nodejs-columnify-1.3.2-4.fc23.src.rpm
Description: Render data in text columns, supports in-column text-wrap.
Fedora Account System Username: zvetlik

Tests turned off due to missing dependency.

Comment 1 Tom Hughes 2015-05-21 21:47:57 UTC
This needs to be updated to the 1.5.1 upstream release.

Comment 3 Tom Hughes 2015-05-22 23:25:34 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== Issues =====

[!]: Rpmlint is run on all installed packages.

nodejs-columnify.noarch: W: summary-ended-with-dot C Render data in text columns. supports in-column text-wrap.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 4 files have unknown license. Detailed
     output of licensecheck in /home/tom/1203659-nodejs-
     columnify/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-columnify-1.5.1-1.fc23.noarch.rpm
          nodejs-columnify-1.5.1-1.fc23.src.rpm
nodejs-columnify.noarch: W: summary-ended-with-dot C Render data in text columns. supports in-column text-wrap.
nodejs-columnify.noarch: W: only-non-binary-in-usr-lib
nodejs-columnify.noarch: W: dangling-symlink /usr/lib/node_modules/columnify/node_modules/wcwidth /usr/lib/node_modules/wcwidth
nodejs-columnify.noarch: W: dangling-symlink /usr/lib/node_modules/columnify/node_modules/strip-ansi /usr/lib/node_modules/strip-ansi
nodejs-columnify.src: W: summary-ended-with-dot C Render data in text columns. supports in-column text-wrap.
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
nodejs-columnify.noarch: W: summary-ended-with-dot C Render data in text columns. supports in-column text-wrap.
nodejs-columnify.noarch: W: only-non-binary-in-usr-lib
nodejs-columnify.noarch: W: dangling-symlink /usr/lib/node_modules/columnify/node_modules/wcwidth /usr/lib/node_modules/wcwidth
nodejs-columnify.noarch: W: dangling-symlink /usr/lib/node_modules/columnify/node_modules/strip-ansi /usr/lib/node_modules/strip-ansi
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
nodejs-columnify (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(strip-ansi)
    npm(wcwidth)



Provides
--------
nodejs-columnify:
    nodejs-columnify
    npm(columnify)



Source checksums
----------------
https://registry.npmjs.org/columnify/-/columnify-1.5.1.tgz :
  CHECKSUM(SHA256) this package     : 2c3474910ff14bc9eb498c82be6b120f396661e1230051e6086ab71f198fbed0
  CHECKSUM(SHA256) upstream package : 2c3474910ff14bc9eb498c82be6b120f396661e1230051e6086ab71f198fbed0


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1203659
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Tom Hughes 2015-05-22 23:28:00 UTC
Although there is a %check that tries to run the tests they aren't actually present in the NPM tar ball so this is likely a candidate for packaging from git.

Once you have the tests I suspect you can drop much of the noise (and duplication - the "npm test" line just does what the previous line does) and do a simple "tape test/*.js" which won't need anything that isn't packaged.

Also one of the disabled BRs for the tests has an extra ')' character.

Comment 6 Tom Hughes 2015-05-29 17:56:46 UTC
OK so it looks like packaging from github was a really bad idea of mine...

The github version (quite reasonably) doesn't have columnify.js, so you would need to be able to generate it by running babel in the spec, only we don't have babel.

So I think you're going to have to do it from the NPM repository for now at least, and if you want the tests you'll have to grab them from github as a separate source.

Apologies for leading you on that wild goose chase.

Comment 7 Zuzana Svetlikova 2015-06-24 14:30:16 UTC
I included the tests but left them turned off because of missing devDependencies.

Spec URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-columnify/nodejs-columnify.spec
SRPM URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-columnify/nodejs-columnify-1.5.1-3.fc22.src.rpm

Comment 8 Tom Hughes 2015-06-24 18:04:49 UTC
You don't actually need babel or tap-spec to run the tests. You only need babel to build the distributed js code from the real source in the git repo (the make prepublish step) and tap-spec just reformats the test output.

So just delete those two BRs and unpack the tests in %prep with:

%setup -T -D -a 1 -q -n package

and change the test run line to:

tape test/*.js

and the tests will run fine.

You also have a bogus date in the changelog:

warning: bogus date in %changelog: Mon Jun 24 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.5.1-3

The 24th is Wed not Mon ;-)

Comment 9 Zuzana Svetlikova 2015-06-25 07:44:48 UTC
Fixed and updated.

Comment 10 Tom Hughes 2015-06-25 17:53:30 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 29 files have unknown license. Detailed
     output of licensecheck in /home/tom/1203659-nodejs-
     columnify/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-columnify-1.5.1-3.fc23.noarch.rpm
          nodejs-columnify-1.5.1-3.fc23.src.rpm
nodejs-columnify.noarch: W: only-non-binary-in-usr-lib
nodejs-columnify.noarch: W: dangling-symlink /usr/lib/node_modules/columnify/node_modules/wcwidth /usr/lib/node_modules/wcwidth
nodejs-columnify.noarch: W: dangling-symlink /usr/lib/node_modules/columnify/node_modules/strip-ansi /usr/lib/node_modules/strip-ansi
nodejs-columnify.src: W: invalid-url Source1: tests-1.5.1.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
nodejs-columnify.noarch: W: only-non-binary-in-usr-lib
nodejs-columnify.noarch: W: dangling-symlink /usr/lib/node_modules/columnify/node_modules/wcwidth /usr/lib/node_modules/wcwidth
nodejs-columnify.noarch: W: dangling-symlink /usr/lib/node_modules/columnify/node_modules/strip-ansi /usr/lib/node_modules/strip-ansi
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
nodejs-columnify (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(strip-ansi)
    npm(wcwidth)



Provides
--------
nodejs-columnify:
    nodejs-columnify
    npm(columnify)



Source checksums
----------------
https://registry.npmjs.org/columnify/-/columnify-1.5.1.tgz :
  CHECKSUM(SHA256) this package     : 2c3474910ff14bc9eb498c82be6b120f396661e1230051e6086ab71f198fbed0
  CHECKSUM(SHA256) upstream package : 2c3474910ff14bc9eb498c82be6b120f396661e1230051e6086ab71f198fbed0


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1203659
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 11 Tom Hughes 2015-06-25 17:54:51 UTC
Great. Package approved.

Comment 12 Zuzana Svetlikova 2015-06-26 09:29:02 UTC
New Package SCM Request
=======================
Package Name: nodejs-columnify
Short Description: Render data in text columns, supports in-column text-wrap
Upstream URL: https://github.com/timoxley/columnify
Owners: zvetlik
Branches: f21 f22 el6 epel7

Comment 13 Gwyn Ciesla 2015-06-26 18:08:32 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2015-07-07 11:39:06 UTC
nodejs-columnify-1.5.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-columnify-1.5.1-3.fc21

Comment 15 Fedora Update System 2015-07-07 12:17:14 UTC
nodejs-columnify-1.5.1-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-columnify-1.5.1-3.fc22

Comment 16 Fedora Update System 2015-07-10 19:03:08 UTC
nodejs-columnify-1.5.1-3.fc22 has been pushed to the Fedora 22 testing repository.

Comment 17 Fedora Update System 2015-07-21 08:20:59 UTC
nodejs-columnify-1.5.1-3.fc21 has been pushed to the Fedora 21 stable repository.

Comment 18 Fedora Update System 2015-07-21 08:21:06 UTC
nodejs-columnify-1.5.1-3.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.